Bug 247378 - www/epiphany: remove unnecessary dependency on net/avahi-app
Summary: www/epiphany: remove unnecessary dependency on net/avahi-app
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-18 11:28 UTC by VVD
Modified: 2020-07-03 05:34 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback-
vvd: maintainer-feedback?


Attachments
Remove unnecessary dependency on net/avahi-app (361 bytes, patch)
2020-06-18 11:28 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-06-18 11:28:12 UTC
Created attachment 215733 [details]
Remove unnecessary dependency on net/avahi-app

Upstream of the epiphany removed dependency from avahi in 2016, check NEWS file (/usr/ports/www/epiphany/work/epiphany-3.28.5/NEWS):
3.23.1 - October 24, 2016
=========================

Epiphany has been relicensed from GPLv2+ to GPLv3+.

New dependency:
 libhttpseverywhere

Removed dependencies:
 avahi-client, avahi-gobject, gdk-x11-3.0, gsettings-desktop-schemas, x11


Build fine with avahi installed and without, and I didn't find any binary from the epiphany linked with libavahi-gobject.so.
Comment 1 Charlie Li 2020-06-21 18:33:40 UTC
For 3.36, I gave this port a dependency diet.

https://github.com/freebsd/freebsd-ports-gnome/pull/37/commits/702bb767b8389affff834991fa53edd210717479
Comment 2 Tobias C. Berner freebsd_committer 2020-07-01 17:38:02 UTC
Maintainer timeout.
Comment 3 VVD 2020-07-01 17:43:47 UTC
(In reply to Charlie Li from comment #1)
When?
Comment 4 commit-hook freebsd_committer 2020-07-03 05:24:32 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jul  3 05:24:09 UTC 2020
New revision: 541071
URL: https://svnweb.freebsd.org/changeset/ports/541071

Log:
  www/epiphany: remove unnecessary dependency on net/avahi-app

  Upstream of the epiphany removed dependency from avahi in 2016, check NEWS file
  (/usr/ports/www/epiphany/work/epiphany-3.28.5/NEWS):

  3.23.1 - October 24, 2016
  =========================

  Epiphany has been relicensed from GPLv2+ to GPLv3+.

  New dependency:
   libhttpseverywhere
  Removed dependencies:
   avahi-client, avahi-gobject, gdk-x11-3.0, gsettings-desktop-schemas, x11

  PR:		247378
  Submitted by:	VVD <vvd@unislabs.com>
  Approved by:	gnome (timeout)

Changes:
  head/www/epiphany/Makefile
Comment 5 Tobias C. Berner freebsd_committer 2020-07-03 05:34:01 UTC
Committed. Thanks.